<?
session_start();
$brcode=$_SESSION['brcode'];
$user=$_SESSION['user'];
if(strlen($brcode)<=0)
{
 print "<script> alert('Session timed out'); parent.document.location='../../index.html'; </script>";
 return;
}
header("Cache-Control: max-age=300, must-revalidate"); 
$pswd=$_REQUEST['pswd'];
$jvno=$_REQUEST['jvno'];
$dt=$_REQUEST['dt'];
include("../../opendb.php");
include("../../test.php");

$rr=mysqli_query($db,"select acpass2 from branch");
$pu=mysqli_fetch_array($rr);


if($pswd!=$pu[acpass2])
{
 print 'Invalid Password';
 return;
}
settype($totdr,'float');
settype($totcr,'float');
settype($a,'float');

$totdr=0;
$totcr=0;
$i=0;

$cr=$_REQUEST['cr'];
foreach($cr as $a)
{
 $cr[$i]=$a; 
 $i++;
}

$i=0;

$crbr=$_REQUEST['crbr'];
foreach($crbr as $a)
{
 $crbr[$i]=$a; 
 $i++;
}



$i=0;
$totcr=0;
$cr_amt=$_REQUEST['cr_amt'];
foreach($cr_amt as $a)
{
 $cramt[$i]=$a; 
 $totcr+=$a;
 $i++;
}

$i=0;
$cr_narr=$_REQUEST['cr_narr'];
foreach($cr_narr as $a)
{
 $crnarr[$i]=$a; 
 $i++;
}

$i=0;
$cragain=$_REQUEST['cragain'];
foreach($cragain as $a)
{
 $cr_again[$i]=$a;$i++;
}
$i=0;
$cragval=$_REQUEST['cragval'];
foreach($cragval as $a)
{
 $cr_agval[$i]=$a;$i++;
}

$crcnt=$i;

$i=0;
$dr=$_REQUEST['dr'];
foreach($dr as $a)
{
 $dr[$i]=$a; 
 $i++;
}

$i=0;
$drbr=$_REQUEST['drbr'];
foreach($drbr as $a)
{
 $drbr[$i]=$a; 
 $i++;
}

$i=0;
$totdr=0;
$dr_amt=$_REQUEST['dr_amt'];
foreach($dr_amt as $a)
{
 $dramt[$i]=$a; 
 $totdr+=$a;
 $i++;
}

$i=0;
$dr_narr=$_REQUEST['dr_narr'];
foreach($dr_narr as $a)
{
 $drnarr[$i]=$a; 
 $i++;
}
$i=0;
$ag=$_REQUEST['ag'];
foreach($ag as $a)
{
 $again[$i]=$a;$i++;
}
$i=0;
$dragain=$_REQUEST['dragain'];
foreach($dragain as $a)
{
 $dr_again[$i]=$a;$i++;
}
$i=0;
$dragval=$_REQUEST['dragval'];
foreach($dragval as $a)
{
 $dr_agval[$i]=$a;$i++;
}
$drcnt=$i;

$totdr+=0;
$totcr+=0;

/*print $totdr.','.$totcr.' '.($totdr-$totcr);
if(($totdr-$totcr)==0)
{
 alert('dr cr ok');
}
if($totdr!=$totcr)//||$totcr>$totdr||$totcr<$totdr)
{
 print "<script> alert('Dr Cr Amount mismatch Dr.'+$totdr+' Cr.'+$totcr); history.back(1); </script>";
 return;
}
*/
print $r=("select j_type,no,tr_no from journal2 where jvno='$jvno' and brcode='$brcode'")or die(mysqli_error($db));



$re=mysqli_query($db,"select j_type,no,tr_no from journal2 where jvno='$jvno' and brcode='$brcode'")or die(mysqli_error($db));



$j_row=mysqli_fetch_array($re);

mysqli_query($db,"delete from journal2 where jvno='$jvno' and brcode='$brcode' and j_type='$j_row[j_type]'")or die(mysqli_error($db));

  if($j_row[j_type]=='CR')
  {
    mysqli_query($db,"delete from cshrec where j_type='$jvno' and brcode='$brcode'")or die(mysqli_error($db));
  }
  if($j_row[j_type]=='CP')
  {
    mysqli_query($db,"delete from cshpay where j_type='$jvno' and brcode='$brcode'")or die(mysqli_error($db));
  }
  if($j_row[j_type]=='BR')
  {
     $drr=mysqli_query($db,"select brec_date from bnkrec where j_type='$jvno'  and brcode='$brcode'");
      $rec_row=mysqli_fetch_row($drr) or die(mysqli_error($db));
    $sql="delete from bnkrec where j_type='$jvno' and brcode='$brcode'"; 
    mysqli_query($db,$sql)or die(mysqli_error($db));
  }
  if($j_row[j_type]=='BP')
  {
     $drr=mysqli_query($db,"select brec_date from bnkpay where j_type='$jvno'  and brcode='$brcode'");
      $rec_row=mysqli_fetch_row($drr) or die(mysqli_error($db));
    $sql="delete from bnkpay where j_type='$jvno' and brcode='$brcode'"; 
    mysqli_query($db,$sql)or die(mysqli_error($db));
  }




 $dt= implode('-', array_reverse(explode('-', $dt)));

for($j=0;$j<$crcnt;$j++)
{
 $sql="insert into journal2 values('$dt','$jvno','Cr','$cr[$j]','0','$cramt[$j]','".addslashes(htmlspecialchars($crnarr[$j]))."','$brcode','$j_row[j_type]','$cr_again[$j]','$cr_agval[$j]','$crbr[$j]','','0000-00-00')";

mysqli_query($db,$sql) or die(mysqli_error($db));
  if($j_row[j_type]=='CR')
  {
    mysqli_query($db,"insert into cshrec values('$dt','$j_row[no]','Cr','$cr[$j]','0','$cramt[$j]', '$crnarr[$j]','$brcode','$jvno','$cr_again[$j]','$cr_agval[$j]')") or die(mysqli_error($db));
  }
  if($j_row[j_type]=='BR')
  {
    $sql="insert into bnkrec values('$dt','$j_row[no]','Cr','$cr[$j]','0','$cramt[$j]', '$crnarr[$j]','$brcode','$jvno','$cr_again[$j]','$cr_agval[$j]','$rec_row[0]')";
//echo $sql;
    mysqli_query($db,$sql) or die('bnkrec err:'.mysqli_error($db));
  }
  if($j_row[j_type]=='BP')
  {
    $sql="insert into bnkpay values('$dt','$j_row[no]','Cr','$cr[$j]','0','$cramt[$j]', '$crnarr[$j]','$brcode','$jvno','$cr_again[$j]','$cr_agval[$j]','$rec_row[0]')";

    mysqli_query($db,$sql) or die('bnkpay err:'.mysqli_error($db));
  }

}
$sql="select j_type,no,tr_no from journal2 where jvno='$jvno' and brcode='$brcode'";
//echo $sql;
//exit;
//******************************************************************************

for($j=0;$j<$drcnt;$j++)
{
 $sql="insert into journal2 values('$dt','$jvno','Dr','$dr[$j]','$dramt[$j]','0','".addslashes(htmlspecialchars($drnarr[$j]))."','$brcode','$j_row[j_type]','$dr_again[$j]','$dr_agval[$j]','$drbr[$j]','','0000-00-00')";

 mysqli_query($db,$sql)or die(mysqli_error($db));
  if($j_row[j_type]=='CP')
  {
    mysqli_query($db,"insert into cshpay values('$dt','$j_row[no]','Dr','$dr[$j]','0','$dramt[$j]', '$drnarr[$j]','$brcode','$jvno','$dr_again[$j]','$dr_agval[$j]')") or die(mysqli_error($db));
  }
  if($j_row[j_type]=='BR')
  {
    mysqli_query($db,"insert into bnkrec values('$dt','$j_row[no]','Dr','$dr[$j]','$dramt[$j]','0', '$drnarr[$j]','$brcode','$jvno','$dr_again[$j]','$dr_agval[$j]','$rec_row[0]')") or die('bnkrec err2:'.mysqli_error($db));
  }
  if($j_row[j_type]=='BP')
  {
    mysqli_query($db,"insert into bnkpay values('$dt','$j_row[no]','Dr','$dr[$j]','$dramt[$j]','0', '$drnarr[$j]','$brcode','$jvno','$dr_again[$j]','$dr_agval[$j]','$rec_row[0]')") or die('bnkpay err2:'.mysqli_error($db));
  }

}
$rr=mysqli_query($db,"select sum(dramt)-sum(cramt) from journal2 where brcode='$brcode' and jvno='$jvno'");
$rrrow=mysqli_fetch_row($rr);
if($rrrow[0]!=0)
{
 print "<script> alert('Debit, Credit mismatch of $rrrow[0], pls edit this entry again')</script>";
 print "<font color=red>Data has been posted with error.  Edit again</font><br>";
}
else
print "<font color=green>Data has been posted</font><br>";

log_entry($brcode,$user,$REMOTE_ADDR,"Edit $j_row[j_type] Journal - $jvno");

print "<font color=green>Data has been postedd to log</font><br>";
print "<script>history.back(-2);</script>";
?>